# -*- encoding: utf-8 -*-
# stub: deconstructable 0.1.0 ruby lib

Gem::Specification.new do |s|
  s.name = "deconstructable".freeze
  s.version = "0.1.0"

  s.required_rubygems_version = Gem::Requirement.new(">= 0".freeze) if s.respond_to? :required_rubygems_version=
  s.metadata = { "changelog_uri" => "https://gitlab.com/alexkalderimis/deconstructable/-/blob/master/CHANGELOG.md", "homepage_uri" => "https://rubygems.org/gems/deconstructable", "source_code_uri" => "https://gitlab.com/alexkalderimis/deconstructable" } if s.respond_to? :metadata=
  s.require_paths = ["lib".freeze]
  s.authors = ["Alexis Kalderimis".freeze]
  s.date = "2020-04-07"
  s.description = "This gem provides Deconstructable, a mixin module that helps you to support\npattern-matching over your types.\n\nUsage\n--------\n\n```\nclass Thing\n  include Deconstructable\n\n  ...\n\n  deconstructable :x, :y\n\n  deconstructable def foo\n    do_the_foo\n  end\nend\n```\n\nThis class provides a single DSL method `deconstructable` which helps you to mark\nmethods and attributes as deconstructable. Deconstructable attributes will be made\navailable in pattern matching, e.g.:\n\n```\nthing in Thing(foo:, x: 100, y:)\n```\n\nClasses that include `Deconstructable` gain an implementation of `deconstruct_keys` that permits\nhash-style key based pattern matching. Positional array-style patterns are not supported.\n".freeze
  s.email = ["alex.kalderimis@gmail.com".freeze]
  s.homepage = "https://rubygems.org/gems/deconstructable".freeze
  s.licenses = ["MIT".freeze]
  s.required_ruby_version = Gem::Requirement.new(">= 2.7.0".freeze)
  s.rubygems_version = "3.2.22".freeze
  s.summary = "Mixin to help implement deconstructable types".freeze

  s.installed_by_version = "3.2.22" if s.respond_to? :installed_by_version

  if s.respond_to? :specification_version then
    s.specification_version = 4
  end

  if s.respond_to? :add_runtime_dependency then
    s.add_development_dependency(%q<rspec>.freeze, ["~> 3.2"])
  else
    s.add_dependency(%q<rspec>.freeze, ["~> 3.2"])
  end
end
